Subject: Ticket Assigned - Landmark Group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 03 Jun 2022 04:10:00 +0000

Hi Shehanah Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Hi I placed an order on 14.5.2022 at 1.50pm the payment didnt go through. So i did a payment again on 5.18pm but I haven’t received the first payment yet. Please help. I contacted stc pay they said that they need a written pdf proof from the merchant that is you that they didn’t receive the payment. Please provide me the pdf. The order number is 6143629265 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4442191